require_relative 'lib/elasticsearch_env_config/version'

Gem::Specification.new do |spec|
  spec.name          = "elasticsearch_env_config"
  spec.version       = ElasticsearchEnvConfig::VERSION
  spec.authors       = ["Sheldon Hearn"]
  spec.email         = ["sheldonh@starjuice.net"]

  spec.summary       = %q{Elasticsearch client configuration from environment}
  spec.description   = %q{Provides elasticsearch client configuration from environment variables}
  spec.homepage      = "https://github.com/webnifico/elasticsearch_env_config"
  spec.license       = "MIT"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
end
